Bug 1251715 - dnf install hangs
dnf install hangs
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-09 01:17 EDT by Ralf Corsepius
Modified: 2016-07-19 13:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:25:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2015-08-09 01:17:09 EDT
Description of problem:

dnf install hangs:

# dnf install /usr/bin/osgversion
Fedora 22 - x86_64 - Updates                                                                                                            6.2 MB/s |  14 MB     00:02    
Last metadata expiration check performed 0:00:01 ago on Sun Aug  9 07:11:08 2015.
Dependencies resolved.
========================================================================================================================================================================
 Package                                     Arch                                Version                                     Repository                            Size
========================================================================================================================================================================
Installing:
 OpenSceneGraph                              x86_64                              3.2.1-7.fc22                                updates                              184 k

Transaction Summary
========================================================================================================================================================================
Install  1 Package

Total download size: 184 k
Installed size: 580 k
Is this ok [y/N]: y
Downloading Packages:
[MIRROR] OpenSceneGraph-3.2.1-7.fc22.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirrors.n-ix.net/fedora/linux/updates/22/x86_64/o/OpenSceneGraph-3.2.1-7.fc22.x86_64.rpm [RETR response: 550]
[MIRROR] OpenSceneGraph-3.2.1-7.fc22.x86_64.rpm: Status code: 404 for http://mirrors.n-ix.net/fedora/linux/updates/22/x86_64/o/OpenSceneGraph-3.2.1-7.fc22.x86_64.rpm  
OpenSceneGraph-3.2.1-7.fc22.x86_64.rpm                            0% [                                                                ] 3.8 kB/s |   0  B     00:48 ETA



Checking the contents of 
http://mirrors.n-ix.net/fedora/linux/updates/22/x86_64/o/
tells OpenSceneGraph-3.2.1-7.fc22.x86_64.rpm is not present on this Fedora mirror.



Version-Release number of selected component (if applicable):
dnf-1.0.1-2.fc22.noarch
Comment 1 Honza Silhan 2015-08-11 10:28:36 EDT
How long does it hang? Can you still reproduce it? Can you play with `minrate` config option, please?
Comment 2 Ralf Corsepius 2015-08-12 08:43:32 EDT
It hung infinitely - Actually I "Ctl-C"'ed it after ca. 15 minutes.

And no, I cannot deterministically reproduce it. It happens sporadically, ca. 2 times per month.
Comment 3 Honza Silhan 2015-08-12 09:08:31 EDT
sporadically on the same network access point? [1] once it happens again, please.

[1] https://github.com/rpm-software-management/dnf/wiki/Bug-Reporting#connection-issue
Comment 4 Ralf Corsepius 2015-08-12 23:36:45 EDT
(In reply to Jan Silhan from comment #3)
> sporadically on the same network access point?
I have seen this issue on different machines on my LAN (Wired connections)
and have seen this on my notebook in different WLANs.

On the notebook w/ WLAN, I would not want to exclude low-level WiFi related or NetworkManager issues (I am suspecting it once more is broken), but I would be surprised if these considerations apply on my LAN.

> [1] once it happens again,
> please.
Sorry, I don't see how this procedure can be applicable.

The issue I am facing is: "dnf hangs/locks up during one single run", 
but does not hang during subsequent runs/re-runs.
Comment 5 Ralf Corsepius 2015-09-02 07:14:53 EDT
It has happened again:


# LIBREPO_DEBUG=1 dnf install 'perl(Test::Exception)' 'perl(Test::Pod)' 'perl(Log::Dispatch::Configurator)'
Librepo version: 1.7.16 with CURL_GLOBAL_ACK_EINTR support (libcurl/7.40.0 NSS/3.19.1 Basic ECC zlib/1.2.8 libidn/1.32 libssh2/1.5.0)
lr_download: Target: file:///etc/dnf/dnf.conf (-)
select_next_target: Selecting mirror for: file:///etc/dnf/dnf.conf
prepare_next_transfer: URL: file:///etc/dnf/dnf.conf
add_librepo_xattr: Cannot set xattr user.Librepo.DownloadInProgress (fd: 4): Operation not supported
lr_download: Downloading started
check_transfer_statuses: Transfer finished: file:///etc/dnf/dnf.conf (Effective url: file:///etc/dnf/dnf.conf)
Last metadata expiration check performed 0:02:28 ago on Wed Sep  2 12:59:49 2015.
Dependencies resolved.
======================================================================================================================================================================================
 Package                                                Arch                                 Version                                      Repository                             Size
======================================================================================================================================================================================
Installing:
 perl-Log-Dispatch-Config                               noarch                               1.04-8.fc22                                  fedora                                 30 k
 perl-Sub-Uplevel                                       noarch                               1:0.25-1.fc22                                fedora                                 32 k
 perl-Test-Exception                                    noarch                               0.38-1.fc22                                  fedora                                 26 k
 perl-Test-Pod                                          noarch                               1.49-1.fc22                                  updates                                23 k

Transaction Summary
======================================================================================================================================================================================
Install  4 Packages

Total download size: 111 k
Installed size: 141 k
Is this ok [y/N]: y
Downloading Packages:
(1/4): perl-Log-Dispatch-Config-1.04-8.fc22.noarch.rpm                                                                                                 48 kB/s |  30 kB     00:00    
(2/4): perl-Test-Exception-0.38-1.fc22.noarch.rpm                                                                                                      38 kB/s |  26 kB     00:00    
(3/4): perl-Sub-Uplevel-0.25-1.fc22.noarch.rpm                                                                                                         45 kB/s |  32 kB     00:00    
[MIRROR] perl-Test-Pod-1.49-1.fc22.noarch.rpm: Curl error (28): Timeout was reached for http://mirror2.hs-esslingen.de/fedora/linux/updates/22/x86_64/p/perl-Test-Pod-1.49-1.fc22.noarch.rpm [Connection timed out after 120002 milliseconds]
[MIRROR] perl-Test-Pod-1.49-1.fc22.noarch.rpm: Status code: 404 for http://mirror.nonstop.co.il/fedora/linux/updates/22/x86_64/p/perl-Test-Pod-1.49-1.fc22.noarch.rpm                
[MIRROR] perl-Test-Pod-1.49-1.fc22.noarch.rpm: Status code: 421 for ftp://ftp.informatik.uni-frankfurt.de/pub/Mirrors/fedora/updates/22/x86_64/p/perl-Test-Pod-1.49-1.fc22.noarch.rpm
[MIRROR] perl-Test-Pod-1.49-1.fc22.noarch.rpm: Status code: 421 for http://ftp.informatik.uni-frankfurt.de/fedora/updates/22/x86_64/p/perl-Test-Pod-1.49-1.fc22.noarch.rpm           
[MIRROR] perl-Test-Pod-1.49-1.fc22.noarch.rpm: Curl error (28): Timeout was reached for http://ftp-stud.hs-esslingen.de/pub/fedora/linux/updates/22/x86_64/p/perl-Test-Pod-1.49-1.fc22.noarch.rpm [Connection timed out after 120001 milliseconds]
[MIRROR] perl-Test-Pod-1.49-1.fc22.noarch.rpm: Curl error (28): Timeout was reached for ftp://ftp-stud.hs-esslingen.de/pub/fedora/linux/updates/22/x86_64/p/perl-Test-Pod-1.49-1.fc22.noarch.rpm [Connection timed out after 120001 milliseconds]
(4/4): perl-Test-Pod-1.49-1.fc22.noarch.rpm                                                                                                            65  B/s |  23 kB     06:00    
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                 310  B/s | 111 kB     06:05     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : perl-Sub-Uplevel-1:0.25-1.fc22.noarch                                                                                                                             1/4 
  Installing  : perl-Test-Exception-0.38-1.fc22.noarch                                                                                                                            2/4 
  Installing  : perl-Test-Pod-1.49-1.fc22.noarch                                                                                                                                  3/4 
  Installing  : perl-Log-Dispatch-Config-1.04-8.fc22.noarch                                                                                                                       4/4 
  Verifying   : perl-Test-Exception-0.38-1.fc22.noarch                                                                                                                            1/4 
  Verifying   : perl-Log-Dispatch-Config-1.04-8.fc22.noarch                                                                                                                       2/4 
  Verifying   : perl-Sub-Uplevel-1:0.25-1.fc22.noarch                                                                                                                             3/4 
  Verifying   : perl-Test-Pod-1.49-1.fc22.noarch                                                                                                                                  4/4 

Installed:
  perl-Log-Dispatch-Config.noarch 1.04-8.fc22       perl-Sub-Uplevel.noarch 1:0.25-1.fc22       perl-Test-Exception.noarch 0.38-1.fc22       perl-Test-Pod.noarch 1.49-1.fc22      

Complete!

Apparently, these incidents aren't complete hangers, but the consequences of dnf's mirror selection mechanism leaving much to be desired.
Comment 6 Fedora Admin XMLRPC Client 2016-07-08 05:33:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2016-07-19 13:25:42 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.